#!/bin/bash

#*******************************************************************************
# Copyright (c) 2001-2012 Tweak Inc. All rights reserved.
#*******************************************************************************
#
# Start/Stop tlm_server process
#

# Basic support for IRIX style chkconfig
###
# chkconfig: 235 91 35 
# description: Manages the services needed to run Tweak License Server 
###

# Path to wherever your tlm_server files are
TLM_INSTALL=/usr/local/tweak/tlm_server-Linux-x86-2.6.0
MASTER=$TLM_INSTALL/bin/tlm_server
LD_LIBRARY_PATH=$TLM_INSTALL/lib

# Path to wherever your license file is
ARGS=" -f $TLM_INSTALL/etc/license.gto"
PS="/bin/ps auwx"

case $1 in
'start')
    if [ -x $MASTER ]; then
        echo "Starting up Tweak tlm_server"
        $MASTER $ARGS
    else
        echo "$MASTER is not executable.  Skipping tlm_server startup."
        exit 1
    fi
    ;;

'stop')
    pid=`$PS | grep tlm_server | grep -v grep | awk '{print $2}'`
    if [ -n "$pid" ]; then 
        echo "Shutting down tlm_server"
        kill -QUIT $pid
    else
        echo "tlm_server not running"
    fi	
    ;;

*)
    echo "Usage: tlm_server -help"
    ;;

esac


